Bug 822679 - zeitgeist FTBFS
zeitgeist FTBFS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zeitgeist (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 14:37 EDT by Dave Malcolm
Modified: 2012-06-08 19:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 19:57:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2012-05-17 14:37:26 EDT
Description of problem:
I attempted a scratch build of zeitgeist:
  [david@f17 zeitgeist]$ fedpkg build --scratch
  Building zeitgeist-0.8.2-3.fc18 for rawhide
  Created task: 4084217
  Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4084217

but there were numerous failures within the extra/ontology subdirectory of the form:

Traceback (most recent call last):
  File "../../extra/rdfxml2py", line 40, in <module>
    parse(sys.stdin)
  File "../../extra/rdfxml2py", line 31, in parse
    pycode = ontology.serialize(format="python")
  File "/usr/lib/python2.7/site-packages/rdflib/graph.py", line 767, in serialize
    serializer.serialize(stream, base=base, encoding=encoding, **args)
  File "/builddir/build/BUILD/zeitgeist-0.8.2/extra/PythonSerializer.py", line 98, in serialize
    stream, symbol, symbol_classes.union(set([NIENS["InformationElement"], NIENS["DataObject"]]))
  File "/builddir/build/BUILD/zeitgeist-0.8.2/extra/PythonSerializer.py", line 89, in _create_symbol
    root_type, symbol, display_name, doc)
TypeError: 'unicode' does not have the buffer interface

I'm guessing that this might be a result of a recent version bump in python-rdflib.  Looking in the root.log, this was using python-rdflib-3.2.0-4.fc17

The most recent build of zeitgeist was zeitgeist-0.8.2-3.fc17 ( http://koji.fedoraproject.org/koji/buildinfo?buildID=292223 ), which was against python-rdflib-3.1.0-1.fc17.noarch
Comment 1 Fedora Update System 2012-05-22 06:10:06 EDT
zeitgeist-0.9.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zeitgeist-0.9.0-1.fc16
Comment 2 Fedora Update System 2012-05-24 19:56:55 EDT
Package zeitgeist-0.9.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zeitgeist-0.9.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8345/zeitgeist-0.9.0-1.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-06-08 19:57:42 EDT
zeitgeist-0.9.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.